### Method

# Ide CommandManager query_finish

#### Declaration

    GPtrArray*
    ide_command_manager_query_finish (
      IdeCommandManager* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

No description available.

Available since: | 3.34

#### Parameters

`result` | `GAsyncResult`
| No description available.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `IdeCommand*`
| An array of `IdeCommand` instances created by providers.
| The caller of the method takes ownership of the data, and is responsible for freeing it.